import { ComponentType } from 'react';
import { ComponentSchema } from '@alilc/lowcode-types';
import { LibraryPackageMapping, NpmInfo } from '../types';
export declare type Component = ComponentType<any> | object;
export declare function findComponent(libraryMap: LibraryPackageMapping, componentName: string, npm?: NpmInfo): any;
export declare function buildComponents(libraryMap: LibraryPackageMapping, componentsMap: {
    [componentName: string]: NpmInfo | ComponentType<any> | ComponentSchema;
}, createComponent: (schema: ComponentSchema) => Component | null): any;
export declare function getSubComponent(library: any, paths: string[]): any;
